Bug 204047 - (XENCPUFREQ) Frequency scaling fails for powernow-k8 driver with the xen0 kernel
Frequency scaling fails for powernow-k8 driver with the xen0 kernel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
Brian Brock
:
: 204196 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 04:53 EDT by lzs
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 15:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lzs 2006-08-25 04:53:12 EDT
Description of problem:

CPU frequency scaling does not work. Logs show a bunch of:
Aug 18 06:49:32 localhost kernel: powernow-k8: transition frequency failed
Aug 18 06:49:32 localhost kernel: powernow-k8: fid trans failed, fid 0xc, curr 0
xe

Version-Release number of selected component (if applicable):

Tested up till kernel kernel-xen0-2.6.17-1.2174_FC5.

How reproducible:

Always.

Steps to Reproduce:
1. Just boot up and observe logs.
  
Actual results:

Errors as above appear, CPU frequency is always at max.

Expected results:

Should not have above errors. CPU frequency should drop during idle load.

Additional info:

Understand there is a patch to fix the powernow-k8 driver. Refer to this mailing
list thread:
http://lists.xensource.com/archives/html/xen-users/2006-04/msg00256.html

The patch in question is:
http://lists.xensource.com/archives/html/xen-devel/2006-03/txtzvkfnDdJB1.txt
Comment 1 David Lawrence 2006-09-05 11:56:58 EDT
Changing to proper owner, kernel-maint.
Comment 2 Dave Jones 2006-10-16 20:36:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 lzs 2006-10-17 09:12:56 EDT
Hi, trying out now with the new 2.6.18-1.2200.fc5xen0 kernel. The powernow-k8
errors are still present and CPU frequency scaling still does not work (always
at max frequency).

Thanks.
Comment 4 Rik van Riel 2006-10-19 15:45:36 EDT
In FC6 and rawhide, we have disabled Xen CPU frequency scaling because it simply
will not work right even with simple driver or hypervisor changes.

The reason for this is that dom0 might not be running on every CPU in the
system, and dom0 has no idea how busy the guests are - hence it will end up
doing the wrong thing CPU frequency wise anyway.

Proper CPU frequency scaling for Xen will have to be done in the upstream Xen
project first.  After that we can integrate the changes in Fedora.
Comment 5 Jarod Wilson 2007-01-11 13:02:50 EST
*** Bug 204196 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.